com.sun.j3d.utils.behaviors.mouse

## Interface MouseBehaviorCallback

- All Known Implementing Classes:
    PickRotateBehavior, PickRotateBehavior, PickRotateBehavior, PickTranslateBehavior, PickTranslateBehavior, PickTranslateBehavior, PickZoomBehavior, PickZoomBehavior, PickZoomBehavior

      public interface MouseBehaviorCallback

  The MouseBehaviorCallback interface allows a class to be notified when the transform is changed by one of the MouseBehaviors. The class that is interested in transform changes implements this interface, and the object created with that class is registered with the desired subclass of MouseBehavior using the `setupCallback` method. When the transform changes, the registered object's `transformChanged` method is invoked.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ROTATE`
    `static int` | `TRANSLATE`
    `static int` | `ZOOM`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transformChanged(int type, Transform3D transform)` Classes implementing this interface that are registered with one of the MouseBehaviors will be called every time the behavior updates the Transform

- - ### Field Detail

    - #### ROTATE

          static final int ROTATE

      See Also:
        Constant Field Values

    - #### TRANSLATE

          static final int TRANSLATE

      See Also:
        Constant Field Values

    - #### ZOOM

          static final int ZOOM

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### transformChanged

          void transformChanged(int type,
                              Transform3D transform)

      Classes implementing this interface that are registered with one of the MouseBehaviors will be called every time the behavior updates the Transform
      Parameters:
        `type` - will be one of ROTATE, TRANSLATE or ZOOM

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.